Unit FZF31R_p;
interface
uses
SysUtils, Math, { Delphi }
LStruct, Lfunc;

procedure FZF31R(X :Array of Real; var ALPHA :Array of Real;
                 var BETA :Array of Real);

implementation

procedure FZF31R(X :Array of Real; var ALPHA :Array of Real;
                var BETA :Array of Real);
begin
BETA[0] := -(X[0]+Exp(X[0]-1)+IntPower(X[1]+X[2],2)-27);
BETA[1] := -(X[0]*Exp(X[1]-2)+IntPower(X[2],2)-10);
BETA[2] := -(X[2]+Sin(X[1]-2)+IntPower(X[1],2)-7);
ALPHA[0] := 1+Exp(X[0]-1);
ALPHA[3] := 2*(X[1]+X[2]);
ALPHA[6] := 2*(X[1]+X[2]);
ALPHA[1] := Exp(X[1]-2);
ALPHA[4] := X[0]*Exp(X[1]-2);
ALPHA[7] := 2*X[2];
ALPHA[2] := 0.0;
ALPHA[5] := Cos(X[1]-2)+2*X[1];
ALPHA[8] := 1.0;
end;

end.
