Unit tzf31r_p;
interface
uses
SysUtils, Math, LStruct, Lfunc, UtRes_p, FZF31R_p, ZF31R_p;

function tzf31r: String; 

implementation

function tzf31r: String;
var
N,ITMAX,_i,IERR :Integer;
EPSX,EPSF :Real;
ALPHA :Array [0..8] of Real;
BETA :Array [0..2] of Real;
NLEAD :Array [0..2] of Integer;
const
ROOT :Array [0..2] of Real = ( 1.0,1.0,1.0 );
begin
Result := '';
N := 3;
EPSX := 1.E-5;
EPSF := 1.E-5;
ITMAX := 30;
ZF31R(FZF31R,ROOT,N,EPSX,EPSF,ITMAX,ALPHA,BETA,NLEAD,IERR);
Result := Result + #$0D#$0A;
for _i:=0 to 2 do
 begin
  Result := Result + Format('%15.6f ',[ROOT[_i]]);
  if ( ((_i+1) mod 3)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format('%5d %5d ',[_ZF31RR.elm1,IERR]) + #$0D#$0A;
UtRes('tzf31r',Result);  //    tzf31r.res
exit;
end;

end.
